// Written by Syranide, me@syranide.com

if SERVER then return end

spawnmenu.AddContext("Options", "Smartsnap", "Smartsnap Settings", "Written by Syranide, me@syranide.com")

local panel = GetControlPanel("Smartsnap")

panel:ClearControls()
panel:AddHeader()

panel:AddControl("CheckBox", {
	Label = "Enable",
	Command = "snap_enabled",
})

panel:AddControl("CheckBox", {
	Label = "Smart toggle enabled",
	Command = "snap_enabletoggle",
})

panel:AddControl("CheckBox", {
	Label = "Revert aim to grid snap on detach",
	Command = "snap_revertaim",
})

panel:AddControl("CheckBox", {
	Label = "Enable for all entities",
	Command = "snap_allentities",
})

panel:AddControl("CheckBox", {
	Label = "Enable for all tools",
	Command = "snap_alltools",
})

panel:AddControl("CheckBox", {
	Label = "Draw thick center lines",
	Command = "snap_centerline",
})

panel:AddControl("Slider", {
	Label = "Grid toggle delay (double click snap-key)",
	Command = "snap_toggledelay",
	Type = "Float",
	Min = "0.0",
	Max = "0.5",
})

panel:AddControl("Slider", {
	Label = "Smart lock delay",
	Command = "snap_lockdelay",
	Type = "Float",
	Min = "0.0",
	Max = "5.0",
})

panel:AddControl("CheckBox", {
	Label = "Bounding box enabled",
	Command = "snap_boundingbox",
})

panel:AddControl("Slider", {
	Label = "Grid distance",
	Command = "snap_distance",
	Type = "Integer",
	Min = "50",
	Max = "1000",
})

panel:AddControl("Slider", {
	Label = "Grid offset",
	Command = "snap_gridoffset",
	Type = "Float",
	Min = "0.0",
	Max = "2.5",
})

panel:AddControl("Slider", {
	Label = "Grid transparency",
	Command = "snap_gridalpha",
	Type = "Float",
	Min = "0.1",
	Max = "1.0",
})

panel:AddControl("Slider", {
	Label = "Maximum number of snap points on an axis",
	Command = "snap_gridlimit",
	Type = "Integer",
	Min = "2",
	Max = "64",
})

panel:AddControl("Slider", {
	Label = "Minimum distance between each snap point",
	Command = "snap_gridsize",
	Type = "Integer",
	Min = "2",
	Max = "64",
})
